function ConvertAveragedData(datapath,aveavedatafile)
% Called from CheckData 
% djm 27/2/07

fprintf('Saving data files:\n')
[N,comments]=loadfif(fullfile(datapath,avedatafile),'sets');
for subfile=1:N
    % could add a line here to discard any magnetometers?
    [F,sfreq,t0]=loadfif(fullfile(datapath,avedatafile),subfile-1);
    ChannelFlag = ones(size(F,1),1);
    Time=t0+[0:1/sfreq:size(F,2)/sfreq-1/sfreq];
    Comment=comments{subfile};
    addon=[];
    NoiseCov=[];
    SourceCov=[];
    Projector=[];
    Data=struct('avedatafile',avedatafile,'F',F,'ChannelFlag',ChannelFlag,'Time',Time,'NoiseCov',NoiseCov,'SourceCov',SourceCov,'Projector',Projector,'Comment',Comment,'addon',addon);
    Data=struct2cell(Data);
    [avedatafile,Fo,Channelo,Time,NoiseCov,SourceCov,Projector,Comment,addon]=deal(Data{:});
    if N>1
        addon=['_',num2str(subfile)];
    end
    id=findstr(lower(avedatafile),'.fif');
    rooot=strrep(avedatafile(1:id-1),'.','_');
    outputfile=fullfile(datapath,'ERFs',[rooot,'_data',addon,'.mat']);
    System='neuromag';
    fprintf('%s\n',outputfile)
    save(outputfile,'F','ChannelFlag','System','Time','NoiseCov','SourceCov','Projector','Comment');
end

return