% Called from CheckData 
% djm 27/2/07

function ConvertRawData(datapath,rawdatafile,ch_name)

[path,name,ext]=fileparts(rawdatafile);
fpdatafile=[name '_nosss' ext];
if exist(fullfile(datapath,fpdatafile))==2
   rawdatafile=fpdatafile; 
end

skip=0;
% try reading raw data channel by channel
fprintf('\nLoading continuous data channel by channel:\n%7s',ch_name{1})
[B,sf]=rawchannels(fullfile(datapath,rawdatafile),ch_name(1));

if isempty(B)
    % FiffAccess can't read 32-bit integer format, 
    % so first use MaxFilter (without filtering) 
    % to convert to floating-point format
    fprintf('Converting from 32-bit integer format to floating-point format...\n')
    cmd=sprintf('/neuro/bin/util/maxfilter -f %s -nosss -format float',fullfile(datapath,rawdatafile));
    unix(cmd);
    [path,name,ext]=fileparts(rawdatafile);
    rawdatafile=[name '_nosss' ext];
    % now try again
    fprintf('\nLoading continuous data channel by channel:\n.......')
else
    skip=1;
end

% try reading raw data channel by channel
for c=1:length(ch_name)
    if c==1 & skip==1; continue; end; 
    fprintf('\b\b\b\b\b\b\b%7s',ch_name{c})
    [B,sf]=rawchannels(fullfile(datapath,rawdatafile),ch_name(c));
    outputfile=fullfile(datapath,'ContinuousData',[ch_name{c},'_data.mat']);
    save(outputfile,'B','sf');
end

return

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [B,status]=ReadAllRawData(datapath,rawdatafile)

cursor={'\','\','|','|','/','/','-','-'};
status='ok';
rawdata('any',fullfile(datapath,rawdatafile));
sf=rawdata('sf');
fprintf('\nSampling frequency=%iHz\nLoading continuous data buffers:\n.',sf)
buffer=0;
while strcmp(status,'ok'),
    buffer=buffer+1;
    [B, status]=rawdata('next');
    % process data here
    fprintf('\b%s',cursor{mod(buffer,4)+1})
end
rawdata('close');
fprintf('%s\r',status)

return