function PlotERFData(datapath)
% Called from CheckData
% djm 27/2/07

fprintf('Plotting ERF data')

cd(fullfile(datapath,'ERFs'))
files=dir('*data*.mat');
N=length(files);

set(0,'Units','pixels');
screen=get(0,'ScreenSize');
figure(10)

for f=1:N
    fprintf('.')
    load(files(f).name)
    
    ts(f)=subplot(N,1,f,'align');
    set(gca,'FontSize',8);
    plot(F');
    pos=get(gca,'Position');
    pos(3)=pos(3)*1.1;
    set(gca,'Position',pos);
    yl=ylim; xl=xlim;
    title(Comment)
    set(get(gca,'Title'),'Position',[0 0]);
    set(get(gca,'Title'),'HorizontalAlignment','right');
    set(gca,'ytick',[]); set(gca,'xtick',0:100:xl(2));
    set(gca,'xticklabel',round((Time(1):0.1:Time(end))*1000));
    axis tight; 
    set(gca,'yticklabel',{'',yl(2)})
    set(gca,'ytick',ylim)
    box off; drawnow
end

axes(ts(f))
xlabel('time')

cd(datapath)
set(gcf,'Position',screen);
orient landscape; print('-dtiff','Summary_ERFs')
delete(10)

return


